Subject: Re: bug#73872: 30.0.91; emacs-lisp-mode-syntax-table active when calling `describe-variable' on variable with textually large value.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Nov 2024 13:55:15 +0200

> From: Sigurd Dam Sonniks <[email-masked]>
> Date: Fri, 18 Oct 2024 22:14:21 +0000
> 
> When you call `describle-variable' on a variable with a value that's
> large enough that it's moved to the end of the help buffer, the syntax
> table is changed to `emacs-lisp-mode-syntax-table' but never changed
> back. There is a very easy fix where you just set it back to
> `help-mode-syntax-table' at the end of the enclosing
> `with-current-buffer', but I guess you could also switch to a
> temporary buffer instead. Below is the relevant code snippet with the
> first suggested fix applied.

Shouldn't the syntax table be left at that value until the buffer is
reused for another variable/function?  Otherwise, why do we set the
syntax table to this value?  Stefan, do you know the reason?